package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuUserPayList;
import com.cku.model.SPOrderInfo;

public interface SPOrderInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SPOrderInfo record);

    int insertSelective(SPOrderInfo record);

    SPOrderInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SPOrderInfo record);

    int updateByPrimaryKeyWithBLOBs(SPOrderInfo record);

    int updateByPrimaryKey(SPOrderInfo record);

	List<SPOrderInfo> selectPayOrder(@Param("ckuId") String ckuId, @Param("PayConfirm") String payconfirm, @Param("indexNum") long indexNum,@Param("count") long count);

	Long getCount(@Param("ckuId") String ckuId, @Param("PayConfirm") String payconfirm);
	
	/**
	 * 
	 * @Description：根据订单号查询订单详细
	 * @author: zhuoHeng
	 * @version: 2016年4月20日 上午10:37:16
	 */
	SPOrderInfo selectByOrderID(@Param("OrderID") String OrderID,@Param("ckuId") String ckuId);
	/**
	 * 
	 * @Description：根据订单号修改订单表支付标识
	 * @author: zhuoHeng
	 * @version: 2016年4月20日 下午12:57:37
	 */
	int updateOrderPayConfim(@Param("orderID") String orderID);
	/**
	 * 
	 * @Description：取消订单删除订单表记录
	 * @author: zhuoHeng
	 * @version: 2016年4月21日 下午1:18:42
	 */
	int deleteByOrderId(@Param("userId") Integer userId,@Param("orderId") String orderId);
	
	
    /**
     * 查询未支付的订单
     * @param ckuId
     * @return
     */
    int checkSignUnfinished(@Param("ckuId")String ckuId);
    /**
     * 查询未支付的订单数
     * @param ckuId
     * @return
     */
	long getCountByUnPay(@Param("ckuId") String ckuId);
	  /**
     * 查询已支付的订单数
     * @param ckuId
     * @return
     */
	long getCountByPay(@Param("ckuId")String ckuId);
}